Record monitor feedback
curl --request POST \
--url https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
'import requests
url = "https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback"
payload = {
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', reason: '<string>'})
};
fetch('https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'trace_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback"
payload := strings.NewReader("{\n \"trace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"trace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"trace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "exclude",
"created_at": "<string>",
"undone_at": "<string>",
"summary": "<string>",
"timestamp": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}Monitors
Record monitor feedback
Records a correction for a trace. Verdict exclude drops the trace from the fit count, chart, and trace list. Verdict include puts the trace on those reads, including a trace the monitor has not judged. An optional reason is stored with the correction. Repeating the same verdict returns the existing row.
POST
/
projects
/
{project_id}
/
monitors
/
{monitor_id}
/
feedback
Record monitor feedback
curl --request POST \
--url https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
'import requests
url = "https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback"
payload = {
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({trace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', reason: '<string>'})
};
fetch('https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'trace_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback"
payload := strings.NewReader("{\n \"trace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"trace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uselemma.ai/projects/{project_id}/monitors/{monitor_id}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"trace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verdict": "exclude",
"created_at": "<string>",
"undone_at": "<string>",
"summary": "<string>",
"timestamp": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json